download 5.3

Guido Falsi mad a madpilot.net
Dom 7 Nov 2004 22:18:12 CET


On Sun, Nov 07, 2004 at 05:45:49PM +0100, Agostino Zanutto wrote:
> On Sun, 07 Nov 2004 10:54:33 +0100
> Stefano <stefano a merlinobbs.net> wrote:
> 
> > Il dom, 2004-11-07 alle 09:08, Guido Falsi ha scritto:
> > 
> > > > No invece e' abbastanza semplice devo dire...
> > > > Devi semplicemente, come ha gia' detto Matteo, leggere per bene
> > > > UPDATING 
> > > > prestando attenzione al fatto che deve esistere l'utente/gruppo
> > > > "proxy" 
> > > > altrimenti da errore make installworld.
> > > 
> > > Non dimenticate di levare le vvecchie versioni delle librerie che
> > > hanno
> > > subito il version bump...certo prima dovreste ricompilare TUTTI i
> > > port(visto che una di queste e' libm...)
> > 
> > sei sicuro?

Sicurissimo! :)

> > stiamo parlando di aggiornamento da 5.2.1-p11 a 5.3....perche' quello
> > che hai scritto praticamente renderebbe improponibile l'aggiornamento
> > anche perche' mediamente stiamo parlando di piu' di 100 applicazioni..

Non e' obbligatorio, nulla impedisce di continuare a usare le vecchie
lbrerie e forzarle via libmap(come gia' consigliato)

> libmap.conf ti permette di usare le nuove versioni quando chiami le
> vecchie... 

Ma appunto, personalment enon amo queste soluzione...dopo un po' di
tempo perdi il conto di quali programmi stanno ancora usando la vecchia
libreria e vengono forzati con libmap...poi quelle linee in libmap
rimangono li fin quando non ti dimentichi perche' ce le hai
messe...arriva il giorno che decidi di levarle e qualcosa
improvvisamente si rompe...meglio usare questa soluzione SOLO per un
breve periodo di migrazione, mentre unpo' alla volta ci si da da fare a
ricompilare tutto.

-- 
Guido Falsi <mad a madpilot.net>



Maggiori informazioni sulla lista varie